# QAbstractPrintDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QDialog.

### Constructor

- void QAbstractPrintDialog(QPrinter printer, QWidget parent)

### Constructor Properties

- prototype: The QAbstractPrintDialog prototype object
- AllPages
- Selection
- PageRange
- CurrentPage
- PrintRange( value )
- None = 0x0000
- PrintToFile = 0x0001
- PrintSelection = 0x0002
- PrintPageRange = 0x0004
- PrintShowPageSize = 0x0008
- PrintCollateCopies = 0x0010
- DontUseSheet = 0x0020
- PrintCurrentPage = 0x0040
- PrintDialogOption( value )
- PrintDialogOptions( value1, value2, ... )

### Prototype Object Properties

The QAbstractPrintDialog prototype object inherits properties from the QDialog prototype object and also has the following properties.

- void addEnabledOption(PrintDialogOption option)
- PrintDialogOptions enabledOptions()
- int fromPage()
- bool isOptionEnabled(PrintDialogOption option)
- int maxPage()
- int minPage()
- PrintRange printRange()
- QPrinter printer()
- void setEnabledOptions(PrintDialogOptions options)
- void setFromTo(int fromPage, int toPage)
- void setMinMax(int min, int max)
- void setOptionTabs(List tabs)
- void setPrintRange(PrintRange range)
- int toPage()

### Instance Properties

QAbstractPrintDialog objects have no special properties beyond those inherited from the QAbstractPrintDialog prototype object.